Bug 1093023 (RHEL-MachineTypes) - provide RHEL-specific machine types in QEMU
Summary: provide RHEL-specific machine types in QEMU
Keywords:
Status: CLOSED ERRATA
Alias: RHEL-MachineTypes
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.1
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Markus Armbruster
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks: 1093069 1086317 1109305 1136512
TreeView+ depends on / blocked
 
Reported: 2014-04-30 12:41 UTC by Hai Huang
Modified: 2015-03-05 09:45 UTC (History)
17 users (show)

Fixed In Version: qemu-kvm-rhev-2.1.0-4.el7
Doc Type: Enhancement
Doc Text:
Clone Of: 895959
: 1109305 (view as bug list)
Environment:
Last Closed: 2015-03-05 09:45:45 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0624 normal SHIPPED_LIVE Important: qemu-kvm-rhev security, bug fix, and enhancement update 2015-03-05 14:37:36 UTC

Comment 1 Markus Armbruster 2014-09-02 18:43:17 UTC
In addition to adding new machine types, the original bug 895959
tracked everything necessary to make old machine types work.  This bug
tracks only adding the new machine types for 7.1, like bug 977864 did
for 7.0 (blocking bug 895959).  I guess we should've cloned bug 977864
instead, but it's not worth cleaning up now.

Comment 3 Miroslav Rezanina 2014-09-17 07:38:04 UTC
Fix included in qemu-kvm-rhev-2.1.0-4.el7

Comment 5 huiqingding 2014-09-22 09:23:19 UTC
Reproduce this bug using the following version:
qemu-kvm-rhev-2.1.0-3.el7.x86_64
kernel-3.10.0-163.el7.x86_64

Steps to Reproduce:
# /usr/libexec/qemu-kvm -M ?

Actual results:
No machine type for rhel7.1:

# /usr/libexec/qemu-kvm -M ?
Supported machines are:
rhel6.0.0            RHEL 6.0.0 PC
rhel6.5.0            RHEL 6.5.0 PC
rhel6.1.0            RHEL 6.1.0 PC
rhel6.2.0            RHEL 6.2.0 PC
pc                   RHEL 7.0.0 PC (i440FX + PIIX, 1996) (alias of pc-i440fx-rhel7.0.0)
pc-i440fx-rhel7.0.0  RHEL 7.0.0 PC (i440FX + PIIX, 1996) (default)
rhel6.3.0            RHEL 6.3.0 PC
none                 empty machine
q35                  RHEL-7.0.0 PC (Q35 + ICH9, 2009) (alias of pc-q35-rhel7.0.0)
pc-q35-rhel7.0.0     RHEL-7.0.0 PC (Q35 + ICH9, 2009)
rhel6.4.0            RHEL 6.4.0 PC

Comment 6 huiqingding 2014-09-22 09:26:48 UTC
Verify this bug using the following version:
qemu-kvm-rhev-2.1.0-4.el7.x86_64
kernel-3.10.0-163.el7.x86_64

Steps to Verify:
# /usr/libexec/qemu-kvm -M ?

Actual results:
Machine type for rhel7.1 is added:

# /usr/libexec/qemu-kvm -M ?
Supported machines are:
rhel6.0.0            RHEL 6.0.0 PC
rhel6.5.0            RHEL 6.5.0 PC
rhel6.1.0            RHEL 6.1.0 PC
rhel6.2.0            RHEL 6.2.0 PC
pc-i440fx-rhel7.0.0  RHEL 7.0.0 PC (i440FX + PIIX, 1996)
q35                  RHEL-7.1.0 PC (Q35 + ICH9, 2009) (alias of pc-q35-rhel7.1.0)
pc-q35-rhel7.1.0     RHEL-7.1.0 PC (Q35 + ICH9, 2009)
rhel6.3.0            RHEL 6.3.0 PC
none                 empty machine
pc                   RHEL 7.1.0 PC (i440FX + PIIX, 1996) (alias of pc-i440fx-rhel7.1.0)
pc-i440fx-rhel7.1.0  RHEL 7.1.0 PC (i440FX + PIIX, 1996) (default)
pc-q35-rhel7.0.0     RHEL-7.0.0 PC (Q35 + ICH9, 2009)
rhel6.4.0            RHEL 6.4.0 PC

I think the machine type should be ordered, open a new bz1145042.

Comment 9 errata-xmlrpc 2015-03-05 09:45:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0624.html


Note You need to log in before you can comment on or make changes to this bug.